package org.yacos.web.system.form;

import java.util.ArrayList;
import java.util.List;
import org.yacos.core.article.Preference;
import org.yacos.core.article.Article.State;
import org.yacos.core.conferences.Conference;
import org.yacos.core.evaluation.Report;
import org.yacos.core.users.User;

public class UserBoardArticleBean {

	private int id;
	private String title;
	private String topic;
	private String abstractText;
	private String URL_article;
	private User mainAuthor;
	private ArrayList<String> secondaryAuthors;
	private Conference conference;
	private List<User> pcMembers;
	private List<User> referee;
	private List<Preference> preferences;
	private List<Report> report;
	private boolean evaluated;
	
	private State state;
	
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getTopic() {
		return topic;
	}
	public void setTopic(String topic) {
		this.topic = topic;
	}
	public String getAbstractText() {
		return abstractText;
	}
	public void setAbstractText(String abstractText) {
		this.abstractText = abstractText;
	}
	public String getURL_article() {
		return URL_article;
	}
	public void setURL_article(String url_article) {
		URL_article = url_article;
	}
	public User getMainAuthor() {
		return mainAuthor;
	}
	public void setMainAuthor(User mainAuthor) {
		this.mainAuthor = mainAuthor;
	}
	public ArrayList<String> getSecondaryAuthors() {
		return secondaryAuthors;
	}
	public void setSecondaryAuthors(ArrayList<String> secondaryAuthors) {
		this.secondaryAuthors = secondaryAuthors;
	}
	public Conference getConference() {
		return conference;
	}
	public void setConference(Conference conference) {
		this.conference = conference;
	}
	public List<User> getPcMembers() {
		return pcMembers;
	}
	public void setPcMembers(List<User> pcMembers) {
		this.pcMembers = pcMembers;
	}
	public List<Preference> getPreferences() {
		return preferences;
	}
	public void setPreferences(List<Preference> preferences) {
		this.preferences = preferences;
	}
	public List<Report> getReport() {
		return report;
	}
	public void setReport(List<Report> report) {
		this.report = report;
	}
	public State getState() {
		return state;
	}
	public void setState(State state) {
		this.state = state;
	}
	public List<User> getReferee() {
		return referee;
	}
	public void setReferee(List<User> referee) {
		this.referee = referee;
	}
	public boolean isEvaluated() {
		return evaluated;
	}
	public void setEvaluated(boolean evaluated) {
		this.evaluated = evaluated;
	}
}
